/* ------------------ BASIC STYLES -----------------------*/ 

/* Basic reset */
body, h1 {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

body {
     background-image: url('flowers.jpg'); /* Replace with the path to your image */
     background-size: cover; /* Ensure the image covers the entire body */
     background-position: center; /* Center the image */
     background-attachment: fixed; /* Ensure the background image stays fixed during scrolling */
}

header {
    background: #305CDE;
    color: #fff;
    padding: 20px;
    text-align: center;
}

main {
    padding: 20px;
}

/* Navigation */
.naviagtion {
    float: right;
    display: flex;
    list-style: none;
    padding: 30px 30px;
    gap: 15px;
    font-weight: bold;
}

.naviagtion li {
    display: inline; /* Horizontal layout */
    margin-right: 10px;
}

.naviagtion a {
    text-decoration: none;
    color: #ffffff;
}


/* Center the .rsvp container */
.rsvp-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto; /* Full viewport height */
    width: auto; /* Full viewport width */
    margin: 5px;
}
.rsvp-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto; /* Full viewport height */
    width: auto; /* Full viewport width */
    margin: 5px;
    font-weight: bolder;
    color: #000;
}
/* Style for the .rsvp div */
.rsvp {
    width: 640px; /* Width of the iframe */
    height: 800px; /* Height of the iframe */
}

iframe {
    width: 100%;
    height: 100%;
    border: none;
}


@media (max-width: 768px) {
    .naviagtion {
        float: none;
        display: block;
        text-align: center;
    }

    .naviagtion li {
        display: block;
        margin: 10px 0;
    }
}